package com.zjrs.ggfw.rlzysc.dto;

import jakarta.validation.constraints.NotBlank;

public class JlxxJyjlUDTO implements java.io.Serializable{
    private static final long serialVersionUID = 1L;
    private String rsrlzyjyjllsh;//教育经历流水号
    private String dyblsh; //对应表流水号
    @NotBlank(message = "简历信息流水号不能为空")
    private String rsrlzyjlxxlsh;  //简历信息流水号
    private String sfyhwjl;//是否有海外经历
    @NotBlank(message = "毕业院校不能为空")
    private String byyx;//毕业院校
    @NotBlank(message = "入学时间不能为空")
    private String rxsj;//入学时间
    @NotBlank(message = "毕业时间不能为空")
    private String bysj;//毕业时间
    @NotBlank(message = "学历不能为空")
    private String xl;//学历
    private String sxzy;//所学专业
    private String xw;//学位
    private String xz;//学制
    private String jlssr;

    public String getJlssr() {
        return jlssr;
    }

    public void setJlssr(String jlssr) {
        this.jlssr = jlssr;
    }

    public String getDyblsh() {
        return dyblsh;
    }

    public void setDyblsh(String dyblsh) {
        this.dyblsh = dyblsh;
    }

    public String getRsrlzyjyjllsh() {
        return rsrlzyjyjllsh;
    }

    public void setRsrlzyjyjllsh(String rsrlzyjyjllsh) {
        this.rsrlzyjyjllsh = rsrlzyjyjllsh;
    }

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    public String getSfyhwjl() {
        return sfyhwjl;
    }

    public void setSfyhwjl(String sfyhwjl) {
        this.sfyhwjl = sfyhwjl;
    }

    public String getByyx() {
        return byyx;
    }

    public void setByyx(String byyx) {
        this.byyx = byyx;
    }

    public String getRxsj() {
        return rxsj;
    }

    public void setRxsj(String rxsj) {
        this.rxsj = rxsj;
    }

    public String getBysj() {
        return bysj;
    }

    public void setBysj(String bysj) {
        this.bysj = bysj;
    }

    public String getXl() {
        return xl;
    }

    public void setXl(String xl) {
        this.xl = xl;
    }

    public String getSxzy() {
        return sxzy;
    }

    public void setSxzy(String sxzy) {
        this.sxzy = sxzy;
    }

    public String getXw() {
        return xw;
    }

    public void setXw(String xw) {
        this.xw = xw;
    }

    public String getXz() {
        return xz;
    }

    public void setXz(String xz) {
        this.xz = xz;
    }
}

